<?php

use EventPortal\Domain\Event\Models\Event;
use EventPortal\Domain\Team\Models\Team;

/** @var \Illuminate\Database\Eloquent\Factory $factory */

$factory->define(Event::class, static function ($faker) {
    return [
        'name' => $faker->word,
        'status' => 'draft',
    ];
});

$factory->state(Event::class, 'draft', static function ($faker) {
    return [
        'status' => 'draft',
    ];
});

$factory->state(Event::class, 'published', static function ($faker) {
    return [
        'status' => 'published',
    ];
});

$factory->state(Event::class, 'post', static function ($faker) {
    return [
        'status' => 'post',
    ];
});

$factory->state(Event::class, 'cancelled', static function ($faker) {
    return [
        'status' => 'cancelled',
    ];
});

$factory->state(Event::class, 'archived', static function ($faker) {
    return [
        'status' => 'archived',
    ];
});

$factory->state(Event::class, 'has-team', []);

$factory->afterCreatingState(Event::class, 'has-team', static function (Event $event) {
    $team = factory(Team::class)->state('snapshot')->create();

    $event->teams()->sync($team);
});
