<?php

use EventPortal\Domain\Speaker\Models\Speaker;
use EventPortal\Domain\User\Models\User;
use Faker\Generator as Faker;

/** @var \Illuminate\Database\Eloquent\Factory $factory */

$factory->define(Speaker::class, function (Faker $faker) {
    return [
        'user_id' => static function () {
            return factory(User::class)->create()->id;
        },
        'profession' => implode(' ', $faker->words(3)),
        'telephone_number' => $faker->phoneNumber,
    ];
});

$factory->state(Speaker::class, 'snapshot', static function () {
    $user = factory(User::class)->create([
        'first_name' => 'test-first-name',
        'last_name' => 'test-last-name',
        'email' => 'test@example.com',
    ]);
    return [
        'user_id' => $user->id,
        'profession' => 'test-profession',
        'telephone_number' => 'test-telephone-number',
    ];
});
