<?php

namespace EventPortal\Commands;

use EventPortal\Seeds\AdminSeeder;
use EventPortal\Seeds\SpeakerSeeder;
use EventPortal\Seeds\TeamSeeder;
use Illuminate\Console\Command;
use Illuminate\Support\Facades\Artisan;

class SeedAll extends Command
{
    /** @var string */
    protected $signature = 'seed:all';

    public function handle(): void
    {
        Artisan::call('seed:permissions-and-roles');

        (new AdminSeeder())->run();
        (new TeamSeeder())->run();
        (new SpeakerSeeder())->run();
    }
}
