<?php

namespace EventPortal\Seeds;

use EventPortal\Domain\Speaker\Models\Speaker;
use EventPortal\Domain\User\Models\User;
use Illuminate\Database\Seeder;

class SpeakerSeeder extends Seeder
{
    public function run(): void
    {
        $user = User::create([
            'first_name' => 'John',
            'last_name' => 'Smith',
            'email' => 'speaker@example.com',
            'password' => bcrypt(config('auth.default_password')),
            'password_created_at' => now(),
        ]);
        Speaker::create([
            'profession' => 'Professor',
            'telephone_number' => '0844 682 5989',
            'user_id' => $user->id,
        ]);
    }
}
