<?php

namespace EventPortal\Tests\Feature\Admin\Speaker;

use EventPortal\Domain\Admin\Models\Admin;
use EventPortal\Domain\Permission\Models\Permission;
use EventPortal\Domain\Speaker\Models\Speaker;
use EventPortal\Tests\Support\Traits\SeedRolesAndPermissions;
use EventPortal\Tests\TestCase;
use Illuminate\Foundation\Testing\DatabaseMigrations;
use Spatie\Snapshots\MatchesSnapshots;

class SpeakerIndexTest extends TestCase
{
    use DatabaseMigrations, MatchesSnapshots, SeedRolesAndPermissions;

    /** @test **/
    public function can_view_index(): void
    {
        factory(Speaker::class)->state('snapshot')->create();
        $admin = factory(Admin::class)->create();
        $permission = factory(Permission::class)->create([
            'name' => 'speaker.index',
        ]);
        $admin->givePermissionTo($permission);

        $this->assertMatchesJsonSnapshot($this->actingAs($admin->user)->get(route('admin.speaker.index'))->props());
    }
}
